## kalign 1.04

=== Makefile ===
PREFIX		= /usr/local/bin
CC				= gcc  
CFLAGS		= -O9 -funroll-loops -fomit-frame-pointer -pipe  -Wall 
DEBUGFLAGS	= -ggdb -Wall -m32

SOURCES		= kalign.c
PROGS			= kalign
OBJECTS		= $(SOURCES:.c=.o)
DEBUGPROGS	= kalign_debug
DEBUGOBJECTS	= $(SOURCES:.c=_debug.o)

kalign: $(OBJECTS)
	$(CC) $(CFLAGS) $(OBJECTS) -o $(PROGS)
kalign.o: kalign.c
	$(CC) $(CFLAGS) -c kalign.c

debug: $(DEBUGOBJECTS)
	$(CC) $(DEBUGFLAGS) $(DEBUGOBJECTS) -o $(DEBUGPROGS)	

%_debug.o:	%.c
	$(CC) $(DEBUGFLAGS) -c $< -o $@

install : 
	mkdir -p $(PREFIX)
	cp $(PROGS)  $(PREFIX)
	chmod 755 $(PREFIX)/$(PROGS)

clean: 
	rm -f $(PROGS) $(OBJECTS)
	rm -f *~
