## kalign 2.03%2B20110620

=== debian/changelog ===
kalign (1:2.03+20110620-3) unstable; urgency=low

  * Team upload

  [ Andreas Tille ]
  * debian/upstream: Added some information from debian/reference
  * debian/reference: Removed in favour of debian/upstream
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * add hardening options

  [ Canberk Koç ]
  * Autopkgtest added

 -- Canberk Koç <canberkkoc@gmail.com>  Thu, 28 Jul 2016 03:06:04 +0300

kalign (1:2.03+20110620-2) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/upstream:
     - Added another citation from tasks file
     - Fixed Homepage
  * debian/source/format: 3.0 (quilt)
  * debian/watch: Fixed hint to download URL
  * debian/control:
     - Fixed Homepage
     - Standards-Version: 3.9.3 (no changes needed)
  * debian/copyright: Fixed DEP5 issues and verified using
      cme fix dpkg-copyright
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Mar 2012 15:28:43 +0200

kalign (1:2.03+20110620-1) unstable; urgency=low

  * New upstream release.
    Using 2.04 as a version number was a mistake of mine, it should have been
    called 2.03+20081031 as Upstream sometimes updates the source archive
    ‘current.tar.gz’ without incrementing the version number.
  * Collected information about Upstream in ‘debian/upstream-metadata.yaml’.
  * Using Debhelper 8 (debian/compat, debian/control).
  * Corrected VCS information in debian/control.
  * Enhances: bioperl-run, that has a kalign wrapper (debian/control).
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2.
    (debian/control, no changes needed).

 -- Charles Plessy <plessy@debian.org>  Sat, 25 Jun 2011 17:23:01 +0900

kalign (2.04-2) unstable; urgency=low

  [ David Paleino ]
  * Removed myself from Uploaders

  [ Andreas Tille ]
  * debian/control:
    - Standards-Version: 3.8.3
    - debhelper (>= 7.1) to use override facility
  * debian/rules:
    - removed code to create manpage - just keep the created one
    - short rules file using dh
  * debian/watch:
    - deactivated; upstream does not seem to respond to our request
      to enable versioned tarballs - so the watch file makes no sense
      Closes: #456479
  * Applied patch to enable bash completion.  Thanks to David Paleino
    <d.paleino@gmail.com>
    Closes: #446047

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2009 16:21:45 +0200

kalign (2.04-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright made machine-readable.
  * debian/rules: replaced deprecated dh_clean -k by dh_prep.
  * debian/control:
    - Updated my email address (debian/control).
    - Checked compliance with Policy 3.8.0 (no changes needed).
    - Using debhelper 7 (also in debian/compat).
    - Upadated description and moved reference to debian/reference.
  * debian/kalign.1*: updated the manual pages.

 -- Charles Plessy <plessy@debian.org>  Thu, 26 Feb 2009 00:19:44 +0900

kalign (2.03-2) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control:
    - Add Subversion repository URL to debian/control.
    - Moved the Homepage: field out from the package's description.
    - Enhances: t-coffee.

  [ David Paleino ]
  * debian/kalign.1 added - manpages are now statically generated
  * debian/control:
    - B-D updated (see above)
    - added myself to Uploaders
    - moved XS-Vcs-* fields to Vcs-*
  * debian/rules:
    - reflecting static build of manpages
    - minor changes
  * Updated to Standards-Version 3.7.3 (no changes needed)

  [ Andreas Tille ]
  * Added myself to Uploaders

 -- Andreas Tille <tille@debian.org>  Tue, 18 Mar 2008 09:54:17 +0100

kalign (2.03-1) unstable; urgency=low

  * New upstream release.
  * Mended the watch file.
  * Updated the manpage.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 21 Feb 2007 09:07:33 +0900

kalign (1.04-1) unstable; urgency=low

  * Initial release Closes: #365344

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sat, 29 Apr 2006 23:02:57 +0900
