## kalign 2.03+20110620

=== debian/control ===
Source: kalign
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/kalign/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/kalign/trunk/
Homepage: http://msa.sbc.su.se/

Package: kalign
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: t-coffee, bioperl-run
Description: Global and progressive multiple sequence alignment
 Kalign is a command line tool to perform multiple alignment of
 biological sequences. It employs the Muth-Manber string-matching
 algorithm, to improve both the accuracy and speed of the alignment.
 It uses global, progressive alignment approach, enriched by employing
 an approximate string-matching algorithm to calculate sequence
 distances and by incorporating local matches into the otherwise global
 alignment.
