=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package kalign

pkg:=kalign

%:
	dh $@

override_dh_auto_install:
	install -D -m u=rw,go=r debian/$(pkg).bash_completion $(CURDIR)/debian/$(pkg)/etc/bash_completion.d/$(pkg)
