=== debian/watch ===
# There is no more version number: http://msa.sbc.su.se/downloads/kalign/current.tar.gz
#version=3
#http://msa.cgb.ki.se/downloads/ kalign-?(\d).(\d+).tgz
