## kalign 3.2.3

=== debian/changelog ===
kalign (1:3.2.3-4) unstable; urgency=medium

  * Team Upload.
  [ Michael R. Crusoe ]
  * patches forwarded upstream

  [ Nilesh Patra ]
  * Fix gcc-10 FTBFS (Closes: #966865)
  * Add manpages
  * compat version: 13, run wrap-and-sort

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 04 Aug 2020 21:43:28 +0000

kalign (1:3.2.3-3) unstable; urgency=medium

  * Team upload.
  * Use the libsimde-dev package instead of our code copy

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 20 Apr 2020 19:13:36 +0200

kalign (1:3.2.3-2) unstable; urgency=medium

  * Team upload.
  * Add non-AVX2 compatability using the SIMD Everywhere library
  * Compile using all levels of SIMD CPU support and restructure package
    with a "simd-dispatch" script
  * debian/patches/hardening: keep the provided CFLAGS

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 30 Mar 2020 20:25:57 +0200

kalign (1:3.2.3-1) unstable; urgency=medium

  * Team upload.

  [ Charles Plessy ]
  * New upstream version (packaging in progress).

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Pranav Ballaney ]
  * Fix autopkgtest and add more test

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Sat, 21 Mar 2020 01:35:29 +0530

kalign (1:2.03+20110620-5) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Fake watch file
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 13:51:16 +0100

kalign (1:2.03+20110620-4) unstable; urgency=medium

  * propagate CC from ./configure to make (Thanks for the patch to Helmut Grohne
    <helmut@subdivi.de>)
    Closes: #890256
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2018 16:39:29 +0100
