## kalign 3.3

=== debian/changelog ===
kalign (1:3.3-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: fix syntax
  * refresh patches; drop "hardening", it was applied upstream.
  * Added a patch to retain debugging symbols

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Nov 2020 10:40:38 +0100
