=== debian/control ===
Source: kalign
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>, Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13), libsimde-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/kalign
Vcs-Git: https://salsa.debian.org/med-team/kalign.git
Homepage: https://msa.sbc.su.se/
Rules-Requires-Root: no

Package: kalign
Architecture: any
Built-Using: ${simde:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: bioperl-run, t-coffee
Description: Global and progressive multiple sequence alignment
 Kalign is a command line tool to perform multiple alignment of
 biological sequences. It employs the Muth-Manber string-matching
 algorithm, to improve both the accuracy and speed of the alignment.
 It uses global, progressive alignment approach, enriched by employing
 an approximate string-matching algorithm to calculate sequence
 distances and by incorporating local matches into the otherwise global
 alignment.
