=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package kalign

include /usr/share/dpkg/default.mk
export DEB_CFLAGS_MAINT_APPEND += -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
export DEB_CXXFLAGS_MAINT_APPEND += -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr
libexecdir=$(prefix)/lib/$(DEB_SOURCE)

%:
	dh $@

AMD64_SIMD_LEVELS=avx2 avx sse4.1 ssse3 sse3
i386_SIMD_LEVELS=sse2 sse

override_dh_auto_build:
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	mkdir -p $(prefix)
	mkdir -p $(libexecdir)
	$(foreach SIMD,$(AMD64_SIMD_LEVELS), make clean ; dh_auto_configure -- CFLAGS="$(CFLAGS) -m$(SIMD)" && dh_auto_build && cp src/kalign src/kalign-$(SIMD) && cp src/timescorealn src/timescorealn-$(SIMD) && ) true
	make clean ; dh_auto_configure && dh_auto_build && \
		cp src/kalign src/kalign-plain && \
		cp src/timescorealn src/timescorealn-plain
ifeq (i386,$(DEB_HOST_ARCH))
	$(foreach SIMD,$(i386_SIMD_LEVELS), make clean ; dh_auto_configure -- CFLAGS="$(CFLAGS) -m$(SIMD)" && dh_auto_build && cp src/kalign src/kalign-$(SIMD) && cp src/timescorealn src/timescorealn-$(SIMD) && ) true
endif
else
	dh_auto_build
endif

override_dh_auto_install:
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
	dh_install src/kalign-* usr/lib/$(DEB_SOURCE)/
	dh_install src/timescorealn-* usr/lib/$(DEB_SOURCE)/
	mkdir -p $(prefix)/bin
	cd $(prefix)/bin \
	        && $(foreach PROG,kalign timescorealn,ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $(PROG) &&) true
else
	dh_auto_install
endif

override_dh_gencontrol:
	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"
