=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13), libsimde-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/kalign
 Vcs-Git: https://salsa.debian.org/med-team/kalign.git
 Homepage: https://msa.sbc.su.se/
