## kalign 3.3.2

=== debian/changelog ===
kalign (1:3.3.2-1) unstable; urgency=medium

  * New upstream version
  * Refresh SIMDE patch

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2022 14:39:41 +0200
