=== debian/changelog ===
kalign (1:3.3.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 07:35:19 +0100

kalign (1:3.3.4-3) unstable; urgency=medium

  * Team Upload.
  * d/rules: Install from obj-$(DEB_HOST_GNU_TYPE) instead of
    DEB_HOST_MULTIARCH in order to fix build on i386

 -- Nilesh Patra <nilesh@debian.org>  Sun, 06 Nov 2022 11:40:17 +0530

kalign (1:3.3.4-2) unstable; urgency=medium

  * Team Upload.
  * install kalignfmt for other archs as well

 -- Nilesh Patra <nilesh@debian.org>  Sun, 06 Nov 2022 04:16:14 +0530

kalign (1:3.3.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

  [ Nilesh Patra ]
  * d/control:
    + Add B-D on cmake
    + Remove B-D on libsimde-dev, also remove Built-Using field.
  * debian/patches:
    + Drop keep-debugging: debug flags are being passed now w/ cmake
    + Drop debian/patches/no-native-build: no native build anymore
    + Drop simde patch: no longer needed, upstream has added
      conditions for inclusions on higher SIMD levels
      of intel-specific header files
    + Add pass-proper-flags.patch: Set proper cflags/cxxflags for other simd
      levels than avx2, otherwise cflags are set to baseline for other supported
      simd levels.
  * d/rules:
    + Update rules layout from scratch as buildsystem changed
      from autotools -> cmake
    + Remove timescorealn as this is no longer provided/installed, change
      that with kalignfmt
    + Disable building shared lib, which is set to ON by default w/ this
      release.
      The SOLIBS should move into a new lib package anyway, and should not be
      here in the binary package
    + Install all relevant simd level binaries properly
    + Test binary for every simd level
    + Remove static lib and .cmake files which should not be present
      with this bin package
    + Install simd-dispatcher script for amd64
  * d/t/run-unit-test:
    + Kalign no longer allows un-aligned seq to be re-formatted,
      hence removing test 7
  * Manpage changes:
    + Add manpage for kalignfmt and update old manpage for kalign
    + Remove manpage for timescorealn
  * Update installing examples at right location
    + dev/ dir has been pruned, change that to tests/data
  * Add d/clean for cleaning obj-*
  * Update dispatcher script to supported simd levels
  * Remove copyright notices/mentions of autoconf stuff which has been removed
  * Remove author notice from manpage
  * Mention myself in the copyright
  * Disable reprotest in salsa CI

 -- Nilesh Patra <nilesh@debian.org>  Sat, 05 Nov 2022 22:20:20 +0000
