## kalign 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.18)
 
 project(kalign LANGUAGES C CXX)
 
@@ -12,8 +12,8 @@
 include(GenerateExportHeader)
 
 set(KALIGN_LIBRARY_VERSION_MAJOR 3)
-set(KALIGN_LIBRARY_VERSION_MINOR 3)
-set(KALIGN_LIBRARY_VERSION_PATCH 5)
+set(KALIGN_LIBRARY_VERSION_MINOR 4)
+set(KALIGN_LIBRARY_VERSION_PATCH 0)
 set(KALIGN_LIBRARY_VERSION_STRING ${KALIGN_LIBRARY_VERSION_MAJOR}.${KALIGN_LIBRARY_VERSION_MINOR}.${KALIGN_LIBRARY_VERSION_PATCH})
 
 
@@ -29,6 +29,12 @@
 
 add_compile_options("$<$<CONFIG:RELEASE>:-W;-Wall;-O3;-pedantic>")
 add_compile_options("$<$<CONFIG:DEBUG>:-W;-Wall;-O0;-g;-pedantic>")
+add_compile_options("$<$<CONFIG:ASAN>:-W;-Wall;-Wextra;-O0;-g;-DDEBUG;-pedantic;-ffunction-sections;-fdata-sections;-fstack-protector-strong;-fsanitize=address>")
+
+if(CMAKE_BUILD_TYPE MATCHES ASAN)
+  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")
+  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -fsanitize=address")
+endif()
 
 if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
   if (MSVC)
@@ -62,7 +68,7 @@
   if(OPENMP_FOUND OR OpenMP_FOUND)
     message(STATUS "OpenMP is enabled.")
      
-     add_definitions (-DHAVE_OPENMP)
+    add_definitions (-DHAVE_OPENMP)
   else(OPENMP_FOUND OR OpenMP_FOUND)
     message(STATUS "OpenMP not supported")
   endif(OPENMP_FOUND OR OpenMP_FOUND)
@@ -168,8 +174,6 @@
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNOHAVE_AVX2")
 endif(HAVE_AVX2)
 
-
-
 add_subdirectory(lib)
 add_subdirectory(src)
 add_subdirectory(tests)
