=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.18)
 
 if(NOT KALIGN_PACKAGE_NAME)
   set(KALIGN_PACKAGE_NAME ${CMAKE_PROJECT_NAME})
@@ -26,6 +26,7 @@
   src/msa_misc.c
   src/msa_check.c
   src/msa_cmp.c
+  src/msa_sort.c
   src/alphabet.c
 
   src/task.c
@@ -47,6 +48,8 @@
   src/aln_seqprofile.c
   src/aln_profileprofile.c
   src/weave_alignment.c
+
+  # src/coretralign.c
   # src/test.h
   )
 
@@ -55,6 +58,7 @@
 if(OpenMP_C_FOUND)  
   target_link_libraries(${PROJECT_NAME}_OBJ PRIVATE OpenMP::OpenMP_C)
 endif(OpenMP_C_FOUND)
+
 
 target_include_directories(${PROJECT_NAME}_OBJ
   PRIVATE
@@ -78,32 +82,32 @@
   )
 
 set_target_properties(${PROJECT_NAME} PROPERTIES
-    LANGUAGES C
-    CXX_STANDARD 11
-    CXX_STANDARD_REQUIRED ON
-    CXX_EXTENSIONS OFF
-    VERSION ${KALIGN_LIBRARY_VERSION_STRING}
-    SOVERSION ${KALIGN_LIBRARY_VERSION_MAJOR}
-    PUBLIC_HEADER "${public_header_files}"
-    CXX_VISIBILITY_PRESET hidden
-    VISIBILITY_INLINES_HIDDEN 1
-    )
+  LANGUAGES C
+  CXX_STANDARD 11
+  CXX_STANDARD_REQUIRED ON
+  CXX_EXTENSIONS OFF
+  VERSION ${KALIGN_LIBRARY_VERSION_STRING}
+  SOVERSION ${KALIGN_LIBRARY_VERSION_MAJOR}
+  PUBLIC_HEADER "${public_header_files}"
+  CXX_VISIBILITY_PRESET hidden
+  VISIBILITY_INLINES_HIDDEN 1
+  )
 
 target_sources(${PROJECT_NAME}
-    PRIVATE
-    ${public_header_files}
-    $<TARGET_OBJECTS:${PROJECT_NAME}_OBJ>        
-    )
+  PRIVATE
+  ${public_header_files}
+  $<TARGET_OBJECTS:${PROJECT_NAME}_OBJ>        
+  )
 
 # Define headers for this library. PUBLIC headers are used for
 # compiling the library, and will be added to consumers' build
 # paths.
 target_include_directories(${PROJECT_NAME}
-    PUBLIC
-        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
-        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
-        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>  
-    )
+  PUBLIC
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
+  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>  
+  )
 
 target_include_directories(${PROJECT_NAME}
   PRIVATE
@@ -114,33 +118,34 @@
 target_link_libraries(${PROJECT_NAME} PRIVATE m)
 
 if(OpenMP_C_FOUND)
-    target_link_libraries(${PROJECT_NAME} PRIVATE OpenMP::OpenMP_C)
-endif()
+  target_link_libraries(${PROJECT_NAME} PRIVATE OpenMP::OpenMP_C)
+endif()
+
 
 
 add_library(${PROJECT_NAME}_static STATIC
   ${public_header_files}
-    $<TARGET_OBJECTS:${PROJECT_NAME}_OBJ>        
-    )
-  
+  $<TARGET_OBJECTS:${PROJECT_NAME}_OBJ>        
+  )
+
 set_target_properties(${PROJECT_NAME}_static PROPERTIES
-    LANGUAGES C
-    CXX_STANDARD 11
-    CXX_STANDARD_REQUIRED ON
-    CXX_EXTENSIONS OFF
-    VERSION ${KALIGN_LIBRARY_VERSION_STRING}
-    SOVERSION ${KALIGN_LIBRARY_VERSION_MAJOR}
-    PUBLIC_HEADER "${public_header_files}"
-    CXX_VISIBILITY_PRESET hidden
-    VISIBILITY_INLINES_HIDDEN 1
-    )
+  LANGUAGES C
+  CXX_STANDARD 11
+  CXX_STANDARD_REQUIRED ON
+  CXX_EXTENSIONS OFF
+  VERSION ${KALIGN_LIBRARY_VERSION_STRING}
+  SOVERSION ${KALIGN_LIBRARY_VERSION_MAJOR}
+  PUBLIC_HEADER "${public_header_files}"
+  CXX_VISIBILITY_PRESET hidden
+  VISIBILITY_INLINES_HIDDEN 1
+  )
 
 target_include_directories(${PROJECT_NAME}_static
-    PUBLIC
-        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
-        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
-        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>  
-    )
+  PUBLIC
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
+  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>  
+  )
 
 target_include_directories(${PROJECT_NAME}_static
   PRIVATE
@@ -150,8 +155,9 @@
 target_link_libraries(${PROJECT_NAME}_static PRIVATE m)
 
 if(OpenMP_C_FOUND)
-    target_link_libraries(${PROJECT_NAME}_static PRIVATE OpenMP::OpenMP_C)
-endif()
+  target_link_libraries(${PROJECT_NAME}_static PRIVATE OpenMP::OpenMP_C)
+endif()
+
 
 add_library(tldevel STATIC
   src/tldevel.c
