=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.18)
 
 # Build library in sub-directories
 if (NOT TARGET kalign::kalign)
@@ -33,6 +33,8 @@
 set_target_properties(kalign-bin
   PROPERTIES OUTPUT_NAME kalign)
 
+
+
 add_executable(kalignfmt
   
   run_reformat.c
