=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.18)
 
 # Build library in sub-directories
 if (NOT TARGET kalign::kalign)
@@ -21,6 +21,12 @@
 
 target_link_libraries(kalign_io_test kalign::kalign)
 
+
+add_executable(dssim
+  dssim_test.c
+  dssim.c
+  )
+target_link_libraries(dssim tldevel kalign::kalign)
 
 
 
@@ -89,3 +95,9 @@
 ${CMAKE_CURRENT_SOURCE_DIR}
   )
 
+
+add_test(
+  NAME DSSIM_takes_a_min
+  COMMAND dssim
+  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+  )
