=== debian/changelog ===
kalign (1:3.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/patches: disable pass-proper-flags.patch for now.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 02 Apr 2024 13:49:50 +0200

kalign (1:3.3.5-2) unstable; urgency=medium

  * Team upload.
  * d/rules: pass the openmp-simd compiler flags.
  * d/rules: set the "simde:Built-Using" substitution variable used in
    d/control.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Mar 2024 09:13:42 +0100
