=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Charles Plessy <plessy@debian.org>, Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13), libsimde-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), libsimde-dev, cmake
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/kalign
 Vcs-Git: https://salsa.debian.org/med-team/kalign.git
 Homepage: https://msa.sbc.su.se/
