=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 include /usr/share/dpkg/default.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
 OBJ_DIR=obj-$(DEB_HOST_GNU_TYPE)
 prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr
 libexecdir=$(prefix)/lib/$(DEB_SOURCE)
@@ -22,17 +24,15 @@
 	dh_auto_configure --builddirectory obj-avx2 -- -DBUILD_SHARED_LIBS=OFF -DINSTALL_PREFIX=/usr -DENABLE_SSE=ON -DENABLE_AVX=ON -DENABLE_AVX2=ON
 endif
 
-override_dh_auto_build:
-	dh_auto_build
 ifeq (amd64,$(DEB_HOST_ARCH))
+execute_after_dh_auto_build:
 	dh_auto_build --builddirectory obj-sse4.1
 	dh_auto_build --builddirectory obj-avx
 	dh_auto_build --builddirectory obj-avx2
 endif
 
-override_dh_auto_test:
+execute_after_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test
 ifeq (amd64,$(DEB_HOST_ARCH))
 	set -e ; for SIMD in avx2 avx sse4.1 ; do \
 		if lscpu | grep -q $${SIMD} ; then \
@@ -44,8 +44,7 @@
 endif
 endif
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm -rf debian/$(DEB_SOURCE)/usr/lib/$(DEB_HOST_MULTIARCH)/
 	dh_install obj-$(DEB_HOST_GNU_TYPE)/src/kalignfmt usr/bin
 ifeq (amd64,$(DEB_HOST_ARCH))
@@ -64,3 +63,6 @@
 	cd $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin && \
 		ln -s ../lib/$(DEB_SOURCE)/bin/simd-dispatch kalignfmt
 endif
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"
